SWITCH NOOB PARADISE - Ask questions here

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by epickid37, Nov 1, 2017.

  1. nikolaki

    nikolaki Newbie

    Newcomer
    1
    Dec 16, 2018
    Gabon
    Hello

    I recently installed Atmosphere 0.8.
    For a reason I can't understand; it works perfectly on a Sandisk Extreme 32Go but crashes completely with a Sandisk 64Go Ultra.

    When I boot with the 64Go Ultra, either Switch crashes when I click Album (Fatal Error) or when I launch a NSP on SD Card.
    I thought that I may have bought a chinese copy with so I ran a test for the 64 Go Ultra. Write speed is 34.4 MB/s and Read speed 88.8 MB/s.
    Shouldn't it work ?

    Is there a min requirement on speeds ?

    Add info : SD cards were formated using SD card formater and diskutility (Mac OS) in FAT32.

    Thks
     
  2. nikolaki

    nikolaki Newbie

    Newcomer
    1
    Dec 16, 2018
    Gabon
    Hello

    I recently installed Atmosphere 0.8.
    For a reason I can't understand; it works perfectly on a Sandisk Extreme 32Go but crashes completely with a Sandisk 64Go Ultra.

    When I boot with the 64Go Ultra, either Switch crashes when I click Album (Fatal Error) or when I launch a NSP on SD Card.
    I thought that I may have bought a chinese copy with so I ran a test for the 64 Go Ultra. Write speed is 34.4 MB/s and Read speed 88.8 MB/s.
    Shouldn't it work ?

    Is there a min requirement on speeds ?

    Add info : SD cards were formated using SD card formater and diskutility (Mac OS) in FAT32.

    Thks
     
  3. nutsack

    nutsack Member

    Newcomer
    1
    Nov 14, 2018
    United States
    If I want to use 4nxci to convert an xci file to an nsp I can install, do I use the prod.keys file I created with lockpick as the keyset to input to 4nxci? Or do I use the title.keys file created from lockpick?

    EDIT: OK it seems to work using the prod.keys I got from lockpick as the keyset input to 4nxci. The xci I converted to nsp installs and plays fine as well as shows up as uncorrupted when checking from the system menu in Horizon, though I get a lot of warnings when doing the conversion with 4nxci.
     
    Last edited by nutsack, Dec 16, 2018
  4. Flopper

    Flopper Newbie

    Newcomer
    1
    Dec 16, 2018
    Australia
    I've installed several games nsp using tinfoil and xci using zerotwoxci but have any issue with a few games saying a software update is required. I'm already on 6.2.0 using Reinx so what am I doing wrong? Thanks
     
  5. icevenom

    icevenom Newbie

    Newcomer
    1
    Dec 15, 2018
    United Kingdom
    I hava managed to do a back-up of everything now i think. I have used lockpick to make a back of my keys and that has given me 2 files - prod.keys & title.keys. Another step i did has given me a device.keys file. In some of the back-up guides i have seen they mention a keys.txt file, is this my prod.keys file?
     
  6. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    16
    Aug 6, 2017
    United States
    New York City
    Maybe its referring to the modifications EmuNAND makes to boot1 rendering booting OFW impossible on 4.1 and below? As I stated previously, I don't have a license to test this but it seems like a rather simple thing to test. Just boot 2.4, setup EmuNAND but don't enable AutoRCM, turn off the console, and try booting OFW without SX OS. Even if it black screens, you can get out of it with a manual shutdown (holding power for 12 seconds).
    If you update to 6.2 now, you will burn fuses and it will be impossible for you to downgrade in case a future exploit (like untethered coldboot) comes out on a lower firmware. If you don't care about downgrading or other potential exploits, you can just burn fuses and update normally right now. If you do care, wait until you get the SX Pro then use the homebrew application ChoiDujourNX to update to whatever firmware you want.
    Honestly never heard of this issue. Maybe try booting a newer version of Atmosphere? It is up to 0.8.2 now. If you haven't tried this package already, you can try loading Kosmos which is Atmosphere but with Hekate instead of Fusee.
    4NXCI is based off of Hactool which hasn't been updated with most of the newer keys so it just freaks out and spits a lot of warnings but at the end of the day, that's all they are, warnings.
    Sounds like they require a game update because a system update would say a system update is required.
    Different programs use differently formatted key files for whatever reason. You can just rename the prod.keys file to whatever you want like keys.txt if the program you are using requires such.
     
    nutsack and Fede_93 like this.
  7. RitchieRitchie

    RitchieRitchie GBAtemp Advanced Fan

    Member
    4
    Nov 15, 2013
    Apologies if this has been asked before but if I update to 6.2 (I'm using sxos) do I need to get the keys? I read somewhere that for tinfoil to work I do. If this is the case would i be able to download them from other sites or are they console specific? I imagine it is a small file - where do I put it in my micro sd card? Appreciate any help!
     
  8. Zap2000

    Zap2000 GBAtemp Fan

    Member
    2
    Oct 19, 2018
    United Kingdom

    I’m not sure mate if I test things out il brick is there any testers in gbatemp could check? they also said see below


    Team Xecuter has put out a post on their forums which says that their 2.4 doesn't work with ofw 4.1.0 and below. Also they have said that on 2.4 you can't boot other payloads (so ox will freeze if you choose this option) so for your first step you'd need to find another way to push hekate to your switch.
    As far as I know, SX OS 2.3 can push henkate and create emuNAND (sort of, but i don't pretend to go online right now anyway, so this kind of emuNAND works just fine).
    So i'll have a emunand on 6.2 and my OFW on 4.1.0 without burned fuses.
     
  9. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    16
    Aug 6, 2017
    United States
    New York City
    If using SX OS 2.4 on firmware 4.1 caused a brick, everyone would know about it and nobody would use their product.
     
  10. Agent Moose

    Agent Moose GBAtemp Fan

    Member
    3
    Dec 6, 2014
    United States
    Question: I was looking around what seems like everywhere to find a XCI to NSP Convertor for Mac OS. Is there such a thing because I would love to see if I dumped my MK8 cartridge correctly.
     
  11. Zap2000

    Zap2000 GBAtemp Fan

    Member
    2
    Oct 19, 2018
    United Kingdom
    Haven’t heard anyone trying it here or they forum? the person on here is using sx 2.3? Maybe il have to think of a diff way? They using these steps below

    1 - use sx loadder to boot henkate and backup my nand
    2 - Create a emunand throught SX OS 2.3 (I've read somewhere on this forum that the emunand is not working on 4.1.0 OFW with SX OS 2.4).
    3 - Update the emuNAND to 6.2 with Choi and enable exFAT leaving me with OFW 4.1.0 no exfat support and emuNAND 6.2 exfat support.
    4 - Stay offline
    5 - hope for a coldbot someday.


    Does 2.3 work on 6.2?
     
    Last edited by Zap2000, Dec 16, 2018
  12. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    16
    Aug 6, 2017
    United States
    New York City
    If you update the EmuNAND to 6.2, you won't be able to use it unless you boot with SX OS V2.4 just so you know.
     
  13. Zap2000

    Zap2000 GBAtemp Fan

    Member
    2
    Oct 19, 2018
    United Kingdom
    That’s what I thought I will msg them and tell them. I can’t think of any other way to do wat I want to can u? Without using Autorcm? Could I bypass the fuse check some other way ? Or update sysnand to another fw that’s supported ?
     
    Last edited by Zap2000, Dec 16, 2018
  14. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    16
    Aug 6, 2017
    United States
    New York City
    That's actually what my next suggestion was going to be. You could just update SysNAND to a firmware that is supported by SX OS V2.4. You can do this with ChoiDujour/ChoiDujourNX or if you want to spend some money, can update offline with a cartridge.
     
  15. Zap2000

    Zap2000 GBAtemp Fan

    Member
    2
    Oct 19, 2018
    United Kingdom
    Will I be able to get back to 4.1 later without using Autorcm or could I blow fuses without Autorcm?
     
  16. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    16
    Aug 6, 2017
    United States
    New York City
    If you never turn off the console, you can do so without AutoRCM. But you would also have to ensure it never runs out of battery either. For a less anxiety-inducing method, you have to use AutoRCM to prevent fuses from being burnt.
     
  17. Zap2000

    Zap2000 GBAtemp Fan

    Member
    2
    Oct 19, 2018
    United Kingdom
    Why does fuses blow again even if I didn’t go to latest fw?
     
  18. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    16
    Aug 6, 2017
    United States
    New York City
    You should read this.
     
    Zap2000 likes this.
  19. Zap2000

    Zap2000 GBAtemp Fan

    Member
    2
    Oct 19, 2018
    United Kingdom
    Is there a

    Cheers
    Wat about if I run a lower emuNAND version 6.1 on sx version 2.3?
     
  20. Draxzelex

    Draxzelex GBAtemp Guru

    Member
    16
    Aug 6, 2017
    United States
    New York City
    You can run any firmware on EmuNAND but the higher, the better since there is no downside in running higher firmwares and games/updates will require higher firmwares at one point or another.
     
Loading...